## Generated SDC file "LTC2311.out.sdc"

## Copyright (C) 1991-2012 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 12.1 Build 177 11/07/2012 SJ Web Edition"

## DATE    "Tue Feb 10 15:53:23 2015"

##
## DEVICE  "EP3C5E144C7"
##


#**************************************************************
# Time Information
#**************************************************************
set_time_format -unit ns -decimal_places 3

#**************************************************************
# Create Clock
#**************************************************************
#derive_clocks -period 9.524
create_clock -period 9.524 -name clkin [get_ports {CLKIN}]
create_clock -name sckv -period 9.524 -waveform {4.76 9.524}
create_clock -period 200 -waveform {23.8 42.9} -name cnvclk pulse_generator:pulses|cnvclk

#**************************************************************
# Create Generated Clock
#**************************************************************
#derive_pll_clocks

create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -multiply_by 1 -duty_cycle 50.00 -name {clk_105} {synchronize|altpll_component|auto_generated|pll1|clk[0]}
create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -multiply_by 2 -duty_cycle 50.00 -name {clk_210} {synchronize|altpll_component|auto_generated|pll1|clk[1]}
create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -divide_by 21 -phase 1.07 -duty_cycle 5.00 -name {sync} {synchronize|altpll_component|auto_generated|pll1|clk[2]}
create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -phase 45 -multiply_by 1 -duty_cycle 50.00 -name {rx_clk_105} {synchronize|altpll_component|auto_generated|pll1|clk[3]}

#**************************************************************
# Set Clock Latency
#**************************************************************

#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty

#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay -add_delay -min -clock [get_clocks {sckv}]  -clock_fall 2 [get_ports {SDO}]
set_input_delay -add_delay -max -clock [get_clocks {sckv}]  -clock_fall 4 [get_ports {SDO}]

#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D0}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D0}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D1}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D1}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D2}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D2}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D3}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D3}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D4}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D4}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D5}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D5}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D6}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D6}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D7}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D7}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D8}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D8}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D9}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D9}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D10}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D10}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D11}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D11}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D12}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D12}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D13}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D13}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D14}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D14}]
set_output_delay -add_delay -max -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D15}]
set_output_delay -add_delay -min -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {D15}]

#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -exclusive -group [get_clocks {clkin}] -group [get_clocks {cnvclk}] 
set_clock_groups -exclusive -group [get_clocks {sckv}] -group [get_clocks {cnvclk}] 

#**************************************************************
# Set False Path
#**************************************************************

#**************************************************************
# Set Multicycle Path
#**************************************************************

#**************************************************************
# Set Maximum Delay
#**************************************************************

#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

